# winicontoppm

Updated: 23 March 2003
Table Of Contents

## NAME

winicontoppm - convert a Windows .ico image into 1 or more PPM images

## SYNOPSIS

winicontoppm [-writeands] [-allicons|-bestqual] [-multippm] [-verbose] [iconfile] [ppmdestfile]

## DESCRIPTION

This program is part of Netpbm.

This program is essentially obsolete; The newer winicontopam is better.

winicontoppm reads a Microsoft Windows .ico file and converts it to one or more PPMs.

A Windows icon contains one or more images, at different resolutions and color depths. Each image has an 'and' mask, which contains transparency data.

By default, the output goes to Standard Output. If you specify ppmdestfile, output goes into one or more files named as follows. If it's just one file (i.e. you specify the -multippm option or don't specify -allicons), the file name is ppmdestfile.ppm. If it's multiple files, their file names are ppmdestfile_1.ppm, ppmdestfile_2.ppm, etc.

When you specify the -writeands option, the file names above are modified to include the string xor as in ppmdestfile_xor.ppm or ppmdestfile_xor_1.ppm.

winicontoppm can convert .ico images with 1, 4, 8, 24, or 32 bits per pixel. Before Netpbm 10.15 (April 2003), it could not handle 24 and 32.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), winicontoppm recognizes the following command line options:

-writeands
  For each icon written, also write the 'and' (transparency) mask as a separate PBM file. It's name is of the form ppmdestfile_and.pbm or ppmdestfile_and_1.pbm.
-allicons
  Extract all images from the .ico file.

  If you specify neither this nor -bestqual, winicontoppm extracts the first image.

-bestqual
  Extract only the best quality (largest, then highest bpp) image from the .ico file.

  If you specify neither this nor -allicons, winicontoppm extracts the first image.

-multippm
  Write all PPMs to a single file.

## SEE ALSO

winicontopam, pamtowinicon, bmptopnm, ppm

## AUTHOR

Copyright (C) 2000, 2003 by Lee Benfield.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR